MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > mParticles Operators >

# mP_Drag : Helper

    mP_Drag - superclass: helper; super-superclass:node - 14:0 - classID: #(1935830281, 515064320)

Value > MAXWrapper > Node > Helper > mP_Drag

| Particle Flow - Quick Navigation

Description:

NEW in 3ds Max 2014: The mP_Drag operator decelerates particles by applying friction-like forces based on the linear and angular motion.

Constructors:

    mP_Drag...
    PhysXDrag...

Properties:

    <mP_Drag>.Timing_Type     Integer    default: 0   --  integer

Get/set the selection of the "Adjust" drop-down list.

Possible values are:

0 - On Event Entry (default) - a particles will be affected only once when it enters the event.

1 - Continuous - a particle will be affected on each integration step.

## Damping Factor group of controls

    <mP_Drag>.Apply_Linear_Damping     BooleanClass    default: false   --  boolean

Get/set the state of the "Linear" checkbox.

When set to True, damping will be applied to the linear motion of particles.

When set to False (default), no linear damping will be applied to the particles.

    <mP_Drag>.Linear_Damping     Float    default: 0.5   --  animatable; float

Get/set the value of the "Linear" spinner.

It will be used to apply damping to the linear motion of particles when the .Apply_Linear_Damping option is set to True.

    <mP_Drag>.Apply_Angular_Damping     BooleanClass    default: true   --  boolean

Get/set the state of the "Angular" checkbox.

When set to True, damping will be applied to the angular motion of the particles.

When set to False (default), no angular damping will be applied to the particles.

    <mP_Drag>.Angular_Damping     Float    default: 0.05   --  animatable; float

Get/set the value of the "Angular" spinner.

It will be used to apply damping to the angular motion of particles when the .Apply_Angular_Damping option is set to True.

    <mP_Drag>.Sync     Integer    default: 0   --  integer

Get/set the selection of the "Sync By" drop-down list.

It is used only when the .Timing_Type property is set to 1 - Continuous.

Possible values are:

0 - Absolute Time (default)

1 - Event Duration

2 - Particle Age

## Speed Multiplier group of controls

    <mP_Drag>.Speed_Multiplier     BooleanClass    default: false   --  boolean

Get/set the state of the "Speed Factor Multiplier" checkbox.

    <mP_Drag>.Speed_Unit     Float    default: 100.0   --  worldUnits

Get/set the value of the "Speed Unit" spinner.

    <mP_Drag>.Spin_Unit     Float    default: 180.0   --  angle

Get/set the value of the "Spin Unit" spinner.

    <mP_Drag>.Use_Data_Wiring     BooleanClass    default: false   --  boolean

Get/set the state of the "Use Script Wiring" property of the operator which is accessible via the right-click context menu.

When set to False (default), no Data Wiring will be used.

When set to True, Data Wiring will be enabled and an additional Rollout "Wiring From Data Channels" will appear, allowing you to control the Linear and Angular Damping values via user-specified Data Operators.

## Wiring From Data Channels rollout

    <mP_Drag>.Linear_Damping_From_Data     BooleanClass    default: false   --  boolean

Get/set the state of the "Linear Damping Factor" checkbox.

When set to True, the Linear Damping Factor value of the operator will be wired to the Data Operator specified by the .Linear_Damping_Data_Creator property.

When set to False (default), the Linear Damping Factor value of the operator specified via the .Linear_Damping property will be used.

    <mP_Drag>.Linear_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject

Get/set the Data Operator object to provide the custom Linear Damping Data to the operator.

    <mP_Drag>.Angular_Damping_From_Data     BooleanClass    default: false   --  boolean

Get/set the state of the "Angular Damping Factor" checkbox.

When set to True, the Angular Damping Factor value of the operator will be wired to the Data Operator specified by the .Angular_Damping_Data_Creator property.

When set to False (default), the Angular Damping Factor value of the operator specified via the .Angular_Damping property will be used.

    <mP_Drag>.Angular_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject

Get/set the Data Operator object to provide the custom Angular Damping Data to the operator.

## mP_Drag interfaces:

The following common Particle Flow Interfaces are exposed by the mP_Drag Class:

Interface: action

Interface: operator

Interface: PViewItem